Last Comment Bug 698272 - Long attachment file name screws up message reader UI for messages with single attachment
: Long attachment file name screws up message reader UI for messages with singl...
Status: RESOLVED FIXED
: regression
Product: Thunderbird
Classification: Client Software
Component: Message Reader UI (show other bugs)
: Trunk
: All All
: -- major (vote)
: Thunderbird 11.0
Assigned To: Jim Porter (:squib)
:
Mentors:
Depends on:
Blocks: 680695
  Show dependency treegraph
 
Reported: 2011-10-30 07:14 PDT by Thomas D. (currently busy elsewhere; needinfo?me)
Modified: 2011-12-13 05:59 PST (History)
2 users (show)
squibblyflabbetydoo: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Fix this and test it (2.06 KB, patch)
2011-11-15 00:08 PST, Jim Porter (:squib)
bwinton: review+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description Thomas D. (currently busy elsewhere; needinfo?me) 2011-10-30 07:14:21 PDT
Regression (works in TB 7, broken on trunk, didn't check other versions):
For messages with a single attachment, attachment file names that are longer than the dedicated space on the attachment pane header will screw up the whole message reader UI by pushing message header and message body to the right beyond the screen.

STR

1) from main 3-pane, view message with single attachment which has a long file name
2) drag the border of the folder pane to the right to reduce the width of message list and message preview

Actual result
- we no longer truncate the middle of the clickable attachment file name on attachment header bar (regression, works in TB 7, broken on trunk, didn't check other versions)
- message header and message body are pushed to the right beyond the screen -> whole UI is screwed up

Expected result
- truncate the middle of long attachment file name on attachment header bar (as we do in TB 7)
- thus avoid all the screwed-UI problems
Comment 1 Thomas D. (currently busy elsewhere; needinfo?me) 2011-10-30 07:15:53 PDT
For smaller screens, this will make the message reader UI completely unusable without any way of recovery -> major!
Comment 2 rsx11m 2011-10-30 19:52:41 PDT
Apparently fall-out from bug 654222. I didn't see this with multiple attachments for testing bug 697870, but then, didn't test it with a single attachment either.
Comment 3 Jim Porter (:squib) 2011-10-30 21:19:18 PDT
(In reply to rsx11m from comment #2)
> Apparently fall-out from bug 654222.

Nope, bug 680695.
Comment 4 Jim Porter (:squib) 2011-11-09 21:13:29 PST
Taking. This is really easy to fix, but I'm going to write a test for it as penance for screwing it up to begin with.
Comment 5 Jim Porter (:squib) 2011-11-15 00:08:31 PST
Created attachment 574546 [details] [diff] [review]
Fix this and test it

Here's a patch, complete with tests that fail without the patch and pass with it. Thankfully, it's a very simple patch too!
Comment 6 Blake Winton (:bwinton) (:☕️) 2011-11-30 08:53:25 PST
Comment on attachment 574546 [details] [diff] [review]
Fix this and test it

Review of attachment 574546 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good, fixes the bug, and has a test.  r=me!

Thanks,
Blake.
Comment 7 Jim Porter (:squib) 2011-12-01 17:00:17 PST
Checked in: http://hg.mozilla.org/comm-central/rev/c746aa0555d8
Comment 8 Mark Banner (:standard8) 2011-12-13 05:59:24 PST
Checked into aurora:

http://hg.mozilla.org/releases/comm-aurora/rev/ad8fbea7f9e2

Note You need to log in before you can comment on or make changes to this bug.